package com.ylcm.sys.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ylcm.sys.domain.AdProduct;
import com.ylcm.sys.excel.model.AdProductImportDTO;
import com.ylcm.sys.form.AdProductForm;

/**
 * <p>
 * 产品管理表 服务类
 * </p>
 *
 * @author admin
 * @since 2020-07-01
 */
public interface AdProductService extends IService<AdProduct> {
    
	/**
	 *   根据产品名获取一条信息
	 * @param name
	 * @return
	 */
	AdProduct getByName(String name);
	
	/**
	 *   根据产品名与内容获取唯一信息
	 * @param name 
	 * @param brandName
	 * @return
	 */
	AdProduct getByName(String name,String brandName);
	
	/**
	 *  批量导入
	 * @param
	 * @return
	 */
	String importBatch(List<AdProductImportDTO> importDTOs);
	
	/**
	 *    根据产品名获取下拉条数
	 * @param productName
	 * @return
	 */
	Integer getSelectProductNameTotal(String productName);
	
	/**
	 *   获取产品下拉并去重列表
	 * @param productName
	 * @return
	 */
	List<String> getSelectProductNameList(String productName ,Integer pageNo, Integer pageSize);
		
	/**
	 *    根据产品名获取品牌下拉条数
	 * @param name
	 * @return
	 */
	Integer getBrandNameSelectTotalByName(String name);
	
	void updateByForm(AdProductForm adProductForm);
	
	/**
	 *    产品删除
	 * @param id
	 * @return
	 */
	String deleteById(Integer id);
}
